> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Export customers by org

GET https://api-sandbox.payabli.com/api/Export/customers/{format}/org/{orgId}

<Warning>
  This endpoint is deprecated. To export this data, use [List customers by organization](/developers/api-reference/customer/get-list-of-customers-for-an-organization) with the `exportFormat` query parameter instead.
</Warning>

Exports a list of customers for an organization. Use filters to limit results.

Reference: https://docs.payabli.com/developers/api-reference/customer/export-list-of-customers-for-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Export/customers/{format}/org/{orgId}:
    get:
      operationId: export-customers-org
      summary: Export list of customers for organization
      description: >-
        <Warning>
          This endpoint is deprecated. To export this data, use [List customers by organization](/developers/api-reference/customer/get-list-of-customers-for-an-organization) with the `exportFormat` query parameter instead.
        </Warning>


        Exports a list of customers for an organization. Use filters to limit
        results.
      tags:
        - subpackage_export
      parameters:
        - name: format
          in: path
          description: Format for the export, either XLSX or CSV.
          required: true
          schema:
            $ref: '#/components/schemas/ExportFormat1'
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: columnsExport
          in: query
          required: false
          schema:
            type: string
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            The number of records to return for the query. The maximum is 30,000
            records. When this parameter isn't sent, the API returns up to
            25,000 records.
          required: false
          schema:
            type: integer
            default: 25000
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query.


            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>


            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            **List of field names accepted:**

            - `createdDate` (gt, ge, lt, le, eq, ne)

            - `customernumber` (ne, eq, ct, nct)

            - `firstname` (ne, eq, ct, nct)

            - `lastname` (ne, eq, ct, nct)

            - `name` (ct, nct)

            - `address` (ne, eq, ct, nct)

            - `city` (ne, eq, ct, nct)

            - `country` (ne, eq, ct, nct)

            - `zip` (ne, eq, ct, nct)

            - `state` (ne, eq, ct, nct)

            - `shippingaddress` (ne, eq, ct, nct)

            - `shippingcity` (ne, eq, ct, nct)

            - `shippingcountry` (ne, eq, ct, nct)

            - `shippingzip` (ne, eq, ct, nct)

            - `shippingstate` (ne, eq, ct, nct)

            - `phone` (ne, eq, ct, nct)

            - `email` (ne, eq, ct, nct)

            - `company` (ne, eq, ct, nct)

            - `username` (ne, eq, ct, nct)

            - `balance` (gt, ge, lt, le, eq, ne)

            - `status` (in, nin, eq, ne)

            - `additional-xxx` (ne, eq, ct, nct) where xxx is the additional
            field name

            - `orgId` (eq) *mandatory when entry=org*

            - `paypointId` (ne, eq)

            - `paypointLegal` (ne, eq, ct, nct)

            - `paypointDba` (ne, eq, ct, nct)

            - `orgName` (ne, eq, ct, nct)


            **List of comparison accepted - enclosed between parentheses:**

            - eq or empty => equal

            - gt => greater than

            - ge => greater or equal

            - lt => less than

            - le => less or equal

            - ne => not equal

            - ct => contains

            - nct => not contains

            - in => inside array separated by "|"

            - nin => not inside array separated by "|"


            **List of parameters accepted:**

            - limitRecord: max number of records for query (default="20", "0" or
            negative value for all)

            - fromRecord: initial record in query


            **Example:**

            balance(gt)=20 return all records with balance greater than 20.00
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/File'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat1:
      type: string
      enum:
        - csv
        - xlsx
      title: ExportFormat1
    File:
      type: object
      additionalProperties:
        description: Any type
      description: >-
        A file containing the response data, in the format specified in the
        request.
      title: File
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## Examples



**Response**

```json
{
  "key": "value"
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.export.exportCustomersOrg("csv", 123, {
        columnsExport: "BatchDate:Batch_Date,PaypointName:Legal_name",
        fromRecord: 251,
        limitRecord: 1000,
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.export.export_customers_org(
    format="csv",
    org_id=123,
    columns_export="BatchDate:Batch_Date,PaypointName:Legal_name",
    from_record=251,
    limit_record=1000,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.export.requests.ExportCustomersOrgRequest;
import io.github.payabli.api.types.ExportFormat1;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.export().exportCustomersOrg(
            ExportFormat1.CSV,
            123,
            ExportCustomersOrgRequest
                .builder()
                .columnsExport("BatchDate:Batch_Date,PaypointName:Legal_name")
                .fromRecord(251)
                .limitRecord(1000)
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.export.export_customers_org(
  format: "csv",
  org_id: 123,
  columns_export: "BatchDate:Batch_Date,PaypointName:Legal_name",
  from_record: 251,
  limit_record: 1000
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Export.ExportCustomersOrgAsync(
            ExportFormat1.Csv,
            123,
            new ExportCustomersOrgRequest {
                ColumnsExport = "BatchDate:Batch_Date,PaypointName:Legal_name",
                FromRecord = 251,
                LimitRecord = 1000
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ExportCustomersOrgRequest{
        ColumnsExport: payabli.String(
            "BatchDate:Batch_Date,PaypointName:Legal_name",
        ),
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            1000,
        ),
    }
    client.Export.ExportCustomersOrg(
        context.TODO(),
        payabli.ExportFormat1Csv.Ptr(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Types\ExportFormat1;
use Payabli\Export\Requests\ExportCustomersOrgRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->export->exportCustomersOrg(
    ExportFormat1::Csv->value,
    123,
    new ExportCustomersOrgRequest([
        'columnsExport' => 'BatchDate:Batch_Date,PaypointName:Legal_name',
        'fromRecord' => 251,
        'limitRecord' => 1000,
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Export/customers/csv/org/123?columnsExport=BatchDate%3ABatch_Date%2CPaypointName%3ALegal_name&fromRecord=251&limitRecord=1000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```